xine-lib: coded_picture Struct Reference

xine-lib 1.2.12

Data Fields
coded_picture Struct Reference

## Data Fields
uint32_t | flag_mask
uint32_t | max_pic_num
int32_t | pic_num
uint8_t | used_for_long_term_ref
uint32_t | long_term_pic_num
uint32_t | long_term_frame_idx
int32_t | top_field_order_cnt
int32_t | bottom_field_order_cnt
uint8_t | repeat_pic
uint32_t | slice_cnt
int64_t | pts
struct nal_unit * | sei_nal
struct nal_unit * | sps_nal
struct nal_unit * | pps_nal
struct nal_unit * | slc_nal

## Field Documentation

## ◆ bottom_field_order_cnt

int32_t coded_picture::bottom_field_order_cnt

Referenced by calculate_pic_order(), dp_top_field_first(), dpb_get_next_out_picture(), and fill_vdpau_reference_list().

## ◆ flag_mask

uint32_t coded_picture::flag_mask

Referenced by calculate_pic_order(), check_progressive(), decoded_pic_check_reference(), dp_top_field_first(), dpb_add_picture(), dpb_get_next_out_picture(), execute_ref_pic_marking(), interpret_sei(), parse_nal(), and process_mmc_operations().

## ◆ long_term_frame_idx

uint32_t coded_picture::long_term_frame_idx

Referenced by calculate_pic_nums(), dpb_get_picture_by_ltidx(), dpb_set_unused_ref_picture_bylidx(), dpb_set_unused_ref_picture_lidx_gt(), and execute_ref_pic_marking().

## ◆ long_term_pic_num

uint32_t coded_picture::long_term_pic_num

Referenced by calculate_pic_nums(), dpb_get_picture_by_ltpn(), dpb_set_unused_ref_picture_byltpn(), execute_ref_pic_marking(), and fill_vdpau_reference_list().

## ◆ max_pic_num

uint32_t coded_picture::max_pic_num

Referenced by interpret_sps().

## ◆ pic_num

int32_t coded_picture::pic_num

Referenced by calculate_pic_nums(), dpb_get_picture(), and execute_ref_pic_marking().

## ◆ pps_nal

struct nal_unit* coded_picture::pps_nal

Referenced by check_progressive(), free_coded_picture(), interpret_pps(), and interpret_slice_header().

## ◆ pts

int64_t coded_picture::pts

Referenced by parse_frame().

## ◆ repeat_pic

uint8_t coded_picture::repeat_pic

Referenced by interpret_sei().

## ◆ sei_nal

struct nal_unit* coded_picture::sei_nal

Referenced by check_progressive(), dp_top_field_first(), free_coded_picture(), interpret_sei(), and parse_nal().

## ◆ slc_nal

struct nal_unit* coded_picture::slc_nal

Referenced by calculate_pic_nums(), check_progressive(), decoded_pic_check_reference(), dp_top_field_first(), execute_ref_pic_marking(), fill_vdpau_reference_list(), free_coded_picture(), interpret_sps(), parse_nal(), and process_mmc_operations().

## ◆ slice_cnt

uint32_t coded_picture::slice_cnt

Referenced by parse_frame(), and parse_nal().

## ◆ sps_nal

struct nal_unit* coded_picture::sps_nal

Referenced by calculate_pic_nums(), check_progressive(), free_coded_picture(), interpret_pps(), interpret_sei(), interpret_slice_header(), and interpret_sps().

## ◆ top_field_order_cnt

int32_t coded_picture::top_field_order_cnt

Referenced by calculate_pic_order(), dp_top_field_first(), dpb_get_next_out_picture(), execute_ref_pic_marking(), and fill_vdpau_reference_list().

## ◆ used_for_long_term_ref

uint8_t coded_picture::used_for_long_term_ref

Referenced by calculate_pic_nums(), dpb_set_unused_ref_picture_bylidx(), dpb_set_unused_ref_picture_byltpn(), dpb_set_unused_ref_picture_lidx_gt(), execute_ref_pic_marking(), and fill_vdpau_reference_list().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_h264.c